// Modifications:
//  - Check for a scalar value instead
//  - Return a column vector instead
//  - Return the results a multiple return values

#include <ostream>
#include <octave/oct.h>

DEFUN_DLD(is_matrix_cpp, args, nargout,
          "-*- texinfo -*-\n"
          "@deftypefn {FunctionFile} {} is_matrix_cpp (...)\n"
          "\n"
          "Returns a row vector with a one for every matrix passed in.\n"
          "@end deftypefn") {
  octave_value_list retval;
  int nargin = args.length();
  RowVector result(nargin);

  for (int i=0; i<nargin; ++i)
    result(i) = args(i).is_matrix_type();

  retval(0) = result;
  return retval;
}
